## tty-server 0.0~git20201003.5fcfdf5+ds

=== Makefile ===
TTY_SERVER=./tty-server

TTY_SERVER_ASSETS=$(wildcard frontend/public/*) frontend/public/index.html
TTY_SERVER_SRC=$(wildcard *.go) assets_bundle.go

.PHONY: all frontend clean cleanfront rebuild

all: $(TTY_SERVER)
	@echo "Done"

rebuild: clean all

# Building the server and tty-share
$(TTY_SERVER): $(TTY_SERVER_SRC)
	go build -o $@

assets_bundle.go: $(TTY_SERVER_ASSETS)
	go get github.com/go-bindata/go-bindata/...
	go-bindata --prefix frontend/public/ -o $@ frontend/public/*

%.zip: %
	zip $@ $^

frontend: cleanfront frontend/public/index.html

frontend/public/index.html:
	cd frontend && npm install && npm run build && cd -

cleanfront:
	rm -fr frontend/public

clean: cleanfront
	rm -fr tty-server assets_bundle.go 
	@echo "Cleaned"

## Development helper targets
### Runs the server, without TLS/HTTPS (no need for localhost testing)
runs: $(TTY_SERVER)
	$(TTY_SERVER) --url http://localhost:9090 --web_address :9090 --sender_address :7654 -frontend_path ./frontend/public
### Runs the sender, without TLS (no need for localhost testing)
runc:
	tty-share  --useTLS=false --server localhost:7654

test:
	@go test github.com/elisescu/tty-share/testing -v

=== debian/changelog ===
tty-server (0.0~git20201003.5fcfdf5+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 0.0~git20201003.5fcfdf5+ds.
  * debian/patches/01_fix-typo-session.go.patch: removed. The
    upstream fixed the source code.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 17 Oct 2020 00:42:38 +0000

tty-server (0.0~git20200923.bae58e7+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #971557)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 01 Oct 2020 19:47:58 +0000

## tty-server 0.0~git20201105.50b9367+ds

=== debian/changelog ===
tty-server (0.0~git20201105.50b9367+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20201105.50b9367+ds.
  * debian/tty-server.1: removed. The upstream is providing a manpage now.
  * debian/tty-server.manpages: pointing to upstream now.
  * debian/manpage: no longer needed. Removed.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 05 Nov 2020 21:08:38 +0000

=== debian/control ===
Source: tty-server
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gorilla-mux-dev,
               golang-logrus-dev,
               golang-websocket-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/elisescu/tty-server
Vcs-Browser: https://salsa.debian.org/go-team/packages/tty-server
Vcs-Git: https://salsa.debian.org/go-team/packages/tty-server.git
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/elisescu/tty-server

Package: tty-server
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Server side for tty-share
 tty-server is the server side for tty-share. It provides an instant pairing
 solution, allowing you to share a terminal. tty-share is necessary to connect
 to the tty-server, when the connection occurs a secret URL is generated,
 through which the terminal can be viewed in the browser.

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//, repacksuffix=+ds, \
     mode=git, pgpmode=none" \
https://github.com/elisescu/tty-server.git HEAD
